be.fgov.ehealth.chap4.core.v1

## Class FaultType

- java.lang.Object
- - be.fgov.ehealth.chap4.core.v1.FaultType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:58:08+02:00",
                 comments="JAXB RI v2.3.7")
      public class FaultType
      extends Object
      implements Serializable

  Java class for FaultType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FaultType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="FaultCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="FaultSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Message" type="{urn:be:fgov:ehealth:commons:core:v1}LocalisedString"/>
               <element name="Detail" type="{urn:be:fgov:ehealth:chap4:core:v1}DetailType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DetailType>` | `getDetails()` Gets the value of the details property.
    `String` | `getFaultCode()` Gets the value of the faultCode property.
    `String` | `getFaultSource()` Gets the value of the faultSource property.
    `LocalisedString` | `getMessage()` Gets the value of the message property.
    `void` | `setFaultCode(String value)` Sets the value of the faultCode property.
    `void` | `setFaultSource(String value)` Sets the value of the faultSource property.
    `void` | `setMessage(LocalisedString value)` Sets the value of the message property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultType

          public FaultType()

  - ### Method Detail

    - #### getFaultCode

          public String getFaultCode()

      Gets the value of the faultCode property.
      Returns:
        possible object is `String`

    - #### setFaultCode

          public void setFaultCode(String value)

      Sets the value of the faultCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFaultSource

          public String getFaultSource()

      Gets the value of the faultSource property.
      Returns:
        possible object is `String`

    - #### setFaultSource

          public void setFaultSource(String value)

      Sets the value of the faultSource property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public LocalisedString getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `LocalisedString`

    - #### setMessage

          public void setMessage(LocalisedString value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `LocalisedString`

    - #### getDetails

          public List<DetailType> getDetails()

      Gets the value of the details property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the details property.

      For example, to add a new item, do as follows:

              getDetails().add(newItem);

      Objects of the following type(s) are allowed in the list `DetailType`

Connector Packaging PERSPHYSICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.